# MPoL

[![Tests](https://github.com/MPoL-dev/MPoL/actions/workflows/tests.yml/badge.svg?branch=main)](https://github.com/MPoL-dev/MPoL/actions/workflows/tests.yml)
[![gh-pages docs](https://github.com/MPoL-dev/MPoL/actions/workflows/gh_docs.yml/badge.svg)](https://mpol-dev.github.io/MPoL/)
[![DOI](https://zenodo.org/badge/224543208.svg)](https://zenodo.org/badge/latestdoi/224543208)

A Million Points of Light are needed to synthesize image cubes from interferometers.

MPoL is a flexible Python package designed for Regularized Maximum Likelihood imaging. We focus on supporting spectral line and continuum observations from interferometers like the Atacama Large Millimeter/Submillimeter Array (ALMA) and the Karl G. Jansky Very Large Array (VLA). There is potential to extend the package to work on other Fourier reconstruction problems like sparse aperture masking and kernel phase interferometry.

Documentation and installation instructions: [https://mpol-dev.github.io/MPoL/](https://mpol-dev.github.io/MPoL/)

## Citation

If you use this package or derivatives of it, please cite

    @software{mpol,
    author       = {Ian Czekala and
                    Jeff Jennings and   
                    Brianna Zawadzki and
                    Ryan Loomis and
                    Kadri Nizam and 
                    Megan Delamer and 
                    Kaylee de Soto and
                    Robert Frazier and
                    Hannah Grzybowski and
                    Mary Ogborn and                    
                    Tyler Quinn},
    title        = {MPoL-dev/MPoL: v0.2.0 Release},
    month        = nov,
    year         = 2023,
    publisher    = {Zenodo},
    version      = {v0.2.0},
    doi          = {10.5281/zenodo.3594081},
    url          = {https://doi.org/10.5281/zenodo.3594081}
    }

---
Copyright Ian Czekala and contributors 2019-23
